Subject: Re: [bug#37912] [PATCH] gnu: elixir: Update to 1.9.2.

From: Oskar Köök <[email-masked]>
Date: Fri, 1 Nov 2019 15:09:25 +0100 (CET)

Although I must note that the end-result ends up ruining the whole point of Elixir Releases.

The point of an Elixir release is that you can package an application into a stand-alone item. It will copy elixir & erlang (etc) as well as your application into a single package, so you can run it without having elixir & erlang installed on your system.

I guess the single dependency here is /bin/sh: as long as it exists, you can run the application from any system.

If you were to generate a release with Guix, you would end up with scripts that depend on the Guix store. So you can not run the stand-alone without Guix.

What is the solution to this? I would personally prefer to keep the actual behaviour (if possible) and if needed, disable the tests.

Oskar